Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.info
Class ContainerParameterInfo

    java.lang.Object
      org.jboss.portal.portlet.impl.info.ContainerParameterInfo

All Implemented Interfaces:
  ParameterInfo

    public class ContainerParameterInfo

extends java.lang.Object
implements ParameterInfo

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`ContainerParameterInfo(java.lang.String id, javax.xml.namespace.QName name, java.util.List<javax.xml.namespace.QName> aliases, org.jboss.portal.common.i18n.LocalizedString description)`

Method Summary
`java.util.Collection<javax.xml.namespace.QName>` | `getAliases()`
`org.jboss.portal.common.i18n.LocalizedString` | `getDescription()`
`java.lang.String` | `getId()`
`javax.xml.namespace.QName` | `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerParameterInfo

    public ContainerParameterInfo(java.lang.String id,
                                  javax.xml.namespace.QName name,
                                  java.util.List<javax.xml.namespace.QName> aliases,
                                  org.jboss.portal.common.i18n.LocalizedString description)

Method Detail

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `ParameterInfo`

### getName

    public javax.xml.namespace.QName getName()

  Specified by:
    `getName` in interface `ParameterInfo`

### getAliases

    public java.util.Collection<javax.xml.namespace.QName> getAliases()

  Specified by:
    `getAliases` in interface `ParameterInfo`

### getDescription

    public org.jboss.portal.common.i18n.LocalizedString getDescription()

  Specified by:
    `getDescription` in interface `ParameterInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.